function vidIDs = ssem_getIDs(params, splitvids)
%   vidIDs = ssem_getIDs(params, splitvids): 'splitvids' is a cell containing 
%   names of sub-videos (typically a split of the database). The function returns
%   IDs of the corresponding sub-videos in the ordering returned by 
%   'ssem_load_subvideos(params);'
  
    vids = ssem_load_subvideos(params);

    nvids = length(splitvids);
    vidIDs = zeros(1, nvids);
    for i = 1 : nvids
        vidIDs(i) = find(strcmp(vids, splitvids{i}), 1);
    end  
end
