function subvids = ssem_load_subvideos(params, vidlist, fullannots)
%   subvids = ssem_load_subvideos(params, vidlist, fullannots): Replace each video 
%   in the cell 'vidlist' by its sub-videos. 'fullannots' is optional. If false 
%   this function return a cell with the name of corresponding sub-videos. It true
%   it return a structure with following fields: the fields 'name' and 'parent' 
%   are the names of the sub-video and parent videos respectively. The field 
%   'frames' indicate frames belonging to it (see "tmp/xxx/img/") and the field 
%   'backimg' indicate if a frame should be used to extract the background.

	if ~exist('vidlist', 'var') || isempty(vidlist)
        vidlist = ssem_load_videos(params);
    end
    if ~exist('fullannots', 'var')
        fullannots = 0;
    end

    subvids = cell(1, length(vidlist));
    for i = 1 : length(vidlist)
         load(fullfile(params.root, 'annots', 'splits', [regexprep(vidlist{i}, '-', '_') '.mat']), 'vids');
         subvids{i} = vids;
    end
    subvids = cat(1, subvids{:});
    
    if ~fullannots
        subvids = {subvids(:).name};
    end
end
