function [M, S, W] = get_back_from_selected(params, vid, selected)
    root = fullfile(params.root, 'tmp', vid);
    imgdir = fullfile(root, 'img');
    bckdir = fullfile(root, 'bck');
    
    img = dir(fullfile(imgdir, 'frame*.jpg'));
    assert(length(img) == length(selected));
    
    selected = reshape(selected, 1, length(selected));
          
    S = [];
    W = [];
    M = [];
    sizeorig = [];
    frameIDs = find(selected);
    if length(frameIDs) > 1
        for i = frameIDs
            I = double(imread(fullfile(imgdir, img(i).name)));        
            Bint = 255 - imread(fullfile(bckdir, sprintf('%s', img(i).name)));           

            imagesc(Bint)
            pause

            if size(I, 3) == 1
                I = repmat(I, [1 1 3]);
            end
            if isempty(sizeorig)
                sizeorig = size(I);
            end
            if size(I, 1) ~= sizeorig(1) || size(I, 2) ~= sizeorig(2)
                I = round(min(255, max(0, imresize(I, sizeorig(1:2)))));
            end
            if size(Bint, 1) ~= sizeorig(1) || size(Bint, 2) ~= sizeorig(2)
                Bint = imresize(Bint, sizeorig(1:2), 'nearest');
            end

            fprintf('Processing image %d/%d\n', i, length(img));

            B = double(Bint) / 255;                              
            masked = (I / 255) .* repmat(B, [1 1 3]);    

            if isempty(S)
                S = zeros(size(I, 1), size(I, 2), 3);
                W = zeros(size(I, 1), size(I, 2));
                M = uint16(zeros(256, size(I, 1), size(I, 2), 3));           
            end

            W = W + B;
            S = S + masked;

            Bint = Bint > 128;        
            index = (find(Bint) - 1)  * 256 + 1;        
            index = cat(1, index, index + (size(I, 1) * size(I, 2) * 256), index + (size(I, 1) * size(I, 2) * 2 * 256));
            index = index + reshape(I(repmat(Bint, [1 1 3])), length(index), 1);
            M(index) = M(index) + 1; 
        end

        S = uint8(min(255, max(0, round(S ./ repmat((W+eps), [1 1 3]) * 255))));
        M = medImgFromcounter(M);       
    else
        M = imread(fullfile(imgdir, img(frameIDs).name));
        S = M;
        W = ones(size(S, 1), size(S, 2));
    end
end
