function model = train_dummy_model(params, posSIFT, negSIFT)
    % Should return a model which allows to compute a score for each pixel 
    % and label given the background image of a video (used in test_model).
    
    nlabels = length(params.annots.labels);       
    
    % train SVM
    fprintf('Training...\n');
    model = cell(1, nlabels);
    for i = 1 : nlabels
        pos = cat(1, posSIFT{:, i});
        neg = cat(1, negSIFT{:, i});
        
        model{i} = train([ones(size(pos, 1), 1); zeros(size(neg, 1), 1)], sparse(double([pos; neg])), '-s 1 -c 1 -w1 1 -B 1 -q');  
    end
end
